/* GCC */
#include <cstdio>

typedef long long int64;

int64 min(int64 a, int64 b) { return a < b ? a : b; }
int64 max(int64 a, int64 b) { return a > b ? a : b; }

const int kMaxN = 1000000;

int N, A, B, K;
int64 f[2][kMaxN+1];

int main()
{ freopen("cash.in", "rt", stdin);
  freopen("cash.out","wt", stdout);
  scanf("%d %d %d %d", &N, &A, &B, &K);
  // use at most 1 validation
  f[0][1] = 0;
  for (int n = 2; n <= N; n++)
    f[0][n] = int64(n-2)*A + B;

  // use at most k+1 validations
  for (int k = 1; k < K; k++)
  { int cur = k%2, prev = (k-1)%2;
    f[cur][1] = 0;
    for (int n = 2; n <= N; n++)
    { int L = 0, R = n-1;
      f[cur][n] = -1;
      while (R-L > 1)
      { int M = (L+R) / 2;
        int64 am = A + f[cur][n-M],
              bm = B + f[prev][M];
        if (am == bm)
        { f[cur][n] = am;
          break;
        }

        if (bm < am) L = M;
        else         R = M;
      }

      if (f[cur][n] == -1)
      { f[cur][n] = min(max(A + f[cur][n-L], B + f[prev][L]),
                        max(A + f[cur][n-R], B + f[prev][R]));
      }
    }
  }

  printf("%lld\n", f[(K-1)%2][N]); //  printf("%lld\n", f[(K-1)%2][N]);
}
