#include <cstdio>

typedef long long int64;

int64 min(int64 a, int64 b) { return a < b ? a : b; }
int64 max(int64 a, int64 b) { return a > b ? a : b; }

const int kMaxN = 1000000;
const int kMaxK = 10;

int N, A, B, K;
int64 f[kMaxK][kMaxN+1];

int main() {
  freopen("cash.in", "rt", stdin);
  freopen("cash.out", "wt", stdout);

  scanf("%d %d %d %d", &N, &A, &B, &K);

  // use at most 1 validation
  f[0][1] = 0;
  for (int n = 2; n <= N; n++)
    f[0][n] = int64(n-2)*A + B;

  // use at most k validations
  for (int k = 2; k <= K; k++) {
    f[k-1][1] = 0;

    for (int n = 2; n <= N; n++) {
      int64 best = 1e18;
      for (int i = 1; i <= n-1; i++)
        best = min(best, max(A + f[k-1][n-i], B + f[k-2][i]));
      f[k-1][n] = best;
    }
  }

  printf("%lld\n", f[K-1][N]);
  return 0;
}
